summaryrefslogtreecommitdiff
path: root/tests/setgid-check
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-12-31 09:49:23 +0000
committerJim Meyering <jim@meyering.net>2000-12-31 09:49:23 +0000
commit318e97ef64a3321fe7c2268ad157c9e851990381 (patch)
treebf18a92cdb1938a409dc0cadfb546dfff1bd120b /tests/setgid-check
parent9b525d2fe1d53e3a5023f241f32f28c7a329c899 (diff)
downloadcoreutils-318e97ef64a3321fe7c2268ad157c9e851990381.tar.xz
File renamed from tests/sticky-check.
All uses of "sticky" changed to "setgid".
Diffstat (limited to 'tests/setgid-check')
-rw-r--r--tests/setgid-check21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/setgid-check b/tests/setgid-check
new file mode 100644
index 000000000..9dd0b1f8a
--- /dev/null
+++ b/tests/setgid-check
@@ -0,0 +1,21 @@
+# -*- sh -*-
+# Disable the current test if the working directory seems to have
+# the setgid bit set.
+
+# This test should be run in the temporary directory that ends
+# up being removed via the trap commands.
+
+cwd_is_setgid=no
+
+setgid_tmpdir=setgid-$$
+(umask 77; mkdir $setgid_tmpdir)
+p=`ls -ld $setgid_tmpdir|sed 's/ .*//'`
+rmdir $setgid_tmpdir
+case $p in drwx------);; *) cwd_is_setgid=yes;; esac
+if test $cwd_is_setgid = yes; then
+ cat <<EOF >&2
+$0: Since it looks like you're running this test in a directory with
+the setgid bit set, we're skipping this test.
+EOF
+ (exit 77); exit
+fi